#include "mbed.h"

#include "TMP102.h"
#include "TMP102_2.h"

DigitalOut led1(LED1);
DigitalOut led2(LED2);


Serial pc(USBTX, USBRX);
TMP102 temperature0(p9, p10, 0x90); //A0 pin is connected to ground, Clock is P10
// Address 0x91 A0 pin to V+,  Address 0x92 A0 pin SDA  Address 0x93 ping SCL
TMP102_2 temperature1(p28, p27, 0x90);


void get_temp(int group)
 {   

 float T1;
          if (group) 
                     {
                        T1 = temperature1.read();
                       
                        }
                         else
                         {
                            T1 = temperature0.read();
                            }
         
         
        
        printf("temp in deg C is %d  %3.1f\n\r", group, T1);
        
      
  }

int main()
{

  Timer tm;
  tm.start();
 
 while (1)
 {
   if(tm.read()>0.5)
      {
        
        
 //        Temperature = 0.23;
         led1=1; led2=0;
         get_temp(0);
         
         tm.start();
        
          }
          
      if(tm.read()>0.5)
      {
        
         
         led1=0; led2=1;
         get_temp(1);
         
         tm.start();
        
          }
    }

   


//  printf("Temperature: %f\n", temperature.read());
//  return 0;

 
}
